<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SimpleCharStream (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SimpleCharStream (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":42,"i9":10,"i10":10,"i11":10,"i12":42,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleCharStream.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListParserTokenManager.html" title="class in org.apache.commons.configuration2.plist"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/plist/SimpleCharStream.html" target="_top">Frames</a></li>
<li><a href="SimpleCharStream.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.plist</div>
<h2 title="Class SimpleCharStream" class="title">Class SimpleCharStream</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.plist.SimpleCharStream</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SimpleCharStream</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">An implementation of interface CharStream, where the stream is assumed to
 contain only ASCII characters (without unicode processing).</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#bufcolumn">bufcolumn</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected char[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#buffer">buffer</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#bufline">bufline</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#bufpos">bufpos</a></span></code>
<div class="block">Position in buffer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#column">column</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#inBuf">inBuf</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#inputStream">inputStream</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#line">line</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#maxNextCharInd">maxNextCharInd</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#prevCharIsCR">prevCharIsCR</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#prevCharIsLF">prevCharIsLF</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#staticFlag">staticFlag</a></span></code>
<div class="block">Whether parser is static.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#tabSize">tabSize</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.InputStream-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.InputStream-int-int-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.InputStream-int-int-int-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.InputStream-java.lang.String-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.InputStream-java.lang.String-int-int-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
                int&nbsp;startline,
                int&nbsp;startcolumn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.InputStream-java.lang.String-int-int-int-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.Reader-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.Reader-int-int-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#SimpleCharStream-java.io.Reader-int-int-int-">SimpleCharStream</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
                int&nbsp;startline,
                int&nbsp;startcolumn,
                int&nbsp;buffersize)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#adjustBeginLineColumn-int-int-">adjustBeginLineColumn</a></span>(int&nbsp;newLine,
                     int&nbsp;newCol)</code>
<div class="block">Method to adjust line and column numbers for the start of a token.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#backup-int-">backup</a></span>(int&nbsp;amount)</code>
<div class="block">Backup a number of characters.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#BeginToken--">BeginToken</a></span>()</code>
<div class="block">Start.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#Done--">Done</a></span>()</code>
<div class="block">Reset buffer when finished.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ExpandBuff-boolean-">ExpandBuff</a></span>(boolean&nbsp;wrapAround)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#FillBuff--">FillBuff</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getBeginColumn--">getBeginColumn</a></span>()</code>
<div class="block">Get token beginning column number.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getBeginLine--">getBeginLine</a></span>()</code>
<div class="block">Get token beginning line number.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getColumn--">getColumn</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getEndColumn--">getEndColumn</a></span>()</code>
<div class="block">Get token end column number.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getEndLine--">getEndLine</a></span>()</code>
<div class="block">Get token end line number.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#GetImage--">GetImage</a></span>()</code>
<div class="block">Get token literal value.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getLine--">getLine</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>char[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#GetSuffix-int-">GetSuffix</a></span>(int&nbsp;len)</code>
<div class="block">Get the suffix.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#getTabSize-int-">getTabSize</a></span>(int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>char</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#readChar--">readChar</a></span>()</code>
<div class="block">Read a character.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.InputStream-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.InputStream-int-int-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.InputStream-int-int-int-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn,
      int&nbsp;buffersize)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.InputStream-java.lang.String-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.InputStream-java.lang.String-int-int-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
      int&nbsp;startline,
      int&nbsp;startcolumn)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.InputStream-java.lang.String-int-int-int-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
      <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
      int&nbsp;startline,
      int&nbsp;startcolumn,
      int&nbsp;buffersize)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.Reader-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.Reader-int-int-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#ReInit-java.io.Reader-int-int-int-">ReInit</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
      int&nbsp;startline,
      int&nbsp;startcolumn,
      int&nbsp;buffersize)</code>
<div class="block">Reinitialise.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#setTabSize-int-">setTabSize</a></span>(int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/plist/SimpleCharStream.html#UpdateLineColumn-char-">UpdateLineColumn</a></span>(char&nbsp;c)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="staticFlag">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>staticFlag</h4>
<pre>public static final&nbsp;boolean staticFlag</pre>
<div class="block">Whether parser is static.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../constant-values.html#org.apache.commons.configuration2.plist.SimpleCharStream.staticFlag">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="bufpos">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bufpos</h4>
<pre>public&nbsp;int bufpos</pre>
<div class="block">Position in buffer.</div>
</li>
</ul>
<a name="bufline">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bufline</h4>
<pre>protected&nbsp;int[] bufline</pre>
</li>
</ul>
<a name="bufcolumn">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bufcolumn</h4>
<pre>protected&nbsp;int[] bufcolumn</pre>
</li>
</ul>
<a name="column">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>column</h4>
<pre>protected&nbsp;int column</pre>
</li>
</ul>
<a name="line">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>line</h4>
<pre>protected&nbsp;int line</pre>
</li>
</ul>
<a name="prevCharIsCR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prevCharIsCR</h4>
<pre>protected&nbsp;boolean prevCharIsCR</pre>
</li>
</ul>
<a name="prevCharIsLF">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>prevCharIsLF</h4>
<pre>protected&nbsp;boolean prevCharIsLF</pre>
</li>
</ul>
<a name="inputStream">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inputStream</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a> inputStream</pre>
</li>
</ul>
<a name="buffer">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>buffer</h4>
<pre>protected&nbsp;char[] buffer</pre>
</li>
</ul>
<a name="maxNextCharInd">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>maxNextCharInd</h4>
<pre>protected&nbsp;int maxNextCharInd</pre>
</li>
</ul>
<a name="inBuf">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inBuf</h4>
<pre>protected&nbsp;int inBuf</pre>
</li>
</ul>
<a name="tabSize">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>tabSize</h4>
<pre>protected&nbsp;int tabSize</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SimpleCharStream-java.io.Reader-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
                        int&nbsp;startline,
                        int&nbsp;startcolumn,
                        int&nbsp;buffersize)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream-java.io.Reader-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
                        int&nbsp;startline,
                        int&nbsp;startcolumn)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream-java.io.Reader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream-java.io.InputStream-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
                        int&nbsp;startline,
                        int&nbsp;startcolumn,
                        int&nbsp;buffersize)
                 throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></code></dd>
</dl>
</li>
</ul>
<a name="SimpleCharStream-java.io.InputStream-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                        int&nbsp;startline,
                        int&nbsp;startcolumn,
                        int&nbsp;buffersize)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream-java.io.InputStream-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
                        int&nbsp;startline,
                        int&nbsp;startcolumn)
                 throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></code></dd>
</dl>
</li>
</ul>
<a name="SimpleCharStream-java.io.InputStream-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                        int&nbsp;startline,
                        int&nbsp;startcolumn)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
<a name="SimpleCharStream-java.io.InputStream-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                        <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)
                 throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></pre>
<div class="block">Constructor.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></code></dd>
</dl>
</li>
</ul>
<a name="SimpleCharStream-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SimpleCharStream</h4>
<pre>public&nbsp;SimpleCharStream(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream)</pre>
<div class="block">Constructor.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setTabSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTabSize</h4>
<pre>protected&nbsp;void&nbsp;setTabSize(int&nbsp;i)</pre>
</li>
</ul>
<a name="getTabSize-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTabSize</h4>
<pre>protected&nbsp;int&nbsp;getTabSize(int&nbsp;i)</pre>
</li>
</ul>
<a name="ExpandBuff-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ExpandBuff</h4>
<pre>protected&nbsp;void&nbsp;ExpandBuff(boolean&nbsp;wrapAround)</pre>
</li>
</ul>
<a name="FillBuff--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FillBuff</h4>
<pre>protected&nbsp;void&nbsp;FillBuff()
                 throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="BeginToken--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BeginToken</h4>
<pre>public&nbsp;char&nbsp;BeginToken()
                throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Start.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="UpdateLineColumn-char-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UpdateLineColumn</h4>
<pre>protected&nbsp;void&nbsp;UpdateLineColumn(char&nbsp;c)</pre>
</li>
</ul>
<a name="readChar--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>readChar</h4>
<pre>public&nbsp;char&nbsp;readChar()
              throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></pre>
<div class="block">Read a character.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</a></code></dd>
</dl>
</li>
</ul>
<a name="getColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getColumn</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;int&nbsp;getColumn()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="getLine--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLine</h4>
<pre><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
public&nbsp;int&nbsp;getLine()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
</li>
</ul>
<a name="getEndColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndColumn</h4>
<pre>public&nbsp;int&nbsp;getEndColumn()</pre>
<div class="block">Get token end column number.</div>
</li>
</ul>
<a name="getEndLine--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEndLine</h4>
<pre>public&nbsp;int&nbsp;getEndLine()</pre>
<div class="block">Get token end line number.</div>
</li>
</ul>
<a name="getBeginColumn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeginColumn</h4>
<pre>public&nbsp;int&nbsp;getBeginColumn()</pre>
<div class="block">Get token beginning column number.</div>
</li>
</ul>
<a name="getBeginLine--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeginLine</h4>
<pre>public&nbsp;int&nbsp;getBeginLine()</pre>
<div class="block">Get token beginning line number.</div>
</li>
</ul>
<a name="backup-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>backup</h4>
<pre>public&nbsp;void&nbsp;backup(int&nbsp;amount)</pre>
<div class="block">Backup a number of characters.</div>
</li>
</ul>
<a name="ReInit-java.io.Reader-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
                   int&nbsp;startline,
                   int&nbsp;startcolumn,
                   int&nbsp;buffersize)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit-java.io.Reader-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream,
                   int&nbsp;startline,
                   int&nbsp;startcolumn)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit-java.io.Reader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;dstream)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit-java.io.InputStream-java.lang.String-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
                   int&nbsp;startline,
                   int&nbsp;startcolumn,
                   int&nbsp;buffersize)
            throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></pre>
<div class="block">Reinitialise.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></code></dd>
</dl>
</li>
</ul>
<a name="ReInit-java.io.InputStream-int-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                   int&nbsp;startline,
                   int&nbsp;startcolumn,
                   int&nbsp;buffersize)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit-java.io.InputStream-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)
            throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></pre>
<div class="block">Reinitialise.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></code></dd>
</dl>
</li>
</ul>
<a name="ReInit-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="ReInit-java.io.InputStream-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                   <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding,
                   int&nbsp;startline,
                   int&nbsp;startcolumn)
            throws <a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></pre>
<div class="block">Reinitialise.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/UnsupportedEncodingException.html?is-external=true" title="class or interface in java.io">UnsupportedEncodingException</a></code></dd>
</dl>
</li>
</ul>
<a name="ReInit-java.io.InputStream-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ReInit</h4>
<pre>public&nbsp;void&nbsp;ReInit(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;dstream,
                   int&nbsp;startline,
                   int&nbsp;startcolumn)</pre>
<div class="block">Reinitialise.</div>
</li>
</ul>
<a name="GetImage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetImage</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;GetImage()</pre>
<div class="block">Get token literal value.</div>
</li>
</ul>
<a name="GetSuffix-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GetSuffix</h4>
<pre>public&nbsp;char[]&nbsp;GetSuffix(int&nbsp;len)</pre>
<div class="block">Get the suffix.</div>
</li>
</ul>
<a name="Done--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Done</h4>
<pre>public&nbsp;void&nbsp;Done()</pre>
<div class="block">Reset buffer when finished.</div>
</li>
</ul>
<a name="adjustBeginLineColumn-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>adjustBeginLineColumn</h4>
<pre>public&nbsp;void&nbsp;adjustBeginLineColumn(int&nbsp;newLine,
                                  int&nbsp;newCol)</pre>
<div class="block">Method to adjust line and column numbers for the start of a token.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SimpleCharStream.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/plist/PropertyListParserTokenManager.html" title="class in org.apache.commons.configuration2.plist"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/plist/Token.html" title="class in org.apache.commons.configuration2.plist"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/plist/SimpleCharStream.html" target="_top">Frames</a></li>
<li><a href="SimpleCharStream.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
